/**
 * “Form page template”
 *
 * For pages that are primarily a form, including the registration and
 * log in forms.
 */

.page-template-form-page .site-content {
  background-color: #f1f6ff;
  padding: 5rem 1.6rem;
}

.page-template-form-page .page-sign-up-container {
  margin-top: 0 !important;
  max-width: 44rem;
}

/* Typography */

.page-template-form-page h1 {
  color: #092c4c;
  font-size: 4rem;
  font-weight: 700;
  letter-spacing: -.02em;
  line-height: 1.2;
}

.page-template-form-page p,
.page-template-form-page li {
  font-size: 1.6rem;
  line-height: 1.55555555556;
  margin-bottom: 0.44444444444em;
}

.page-template-form-page p {
  padding: 0 !important;
}

.page-template-form-page .fancy-or {
  color: #475467;
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.42857142857;
  margin: 0 0 1.6rem;
  position: relative;
  text-align: center;
  text-transform: uppercase;
}

.page-template-form-page  .fancy-or-or {
  background-color: #f1f6ff;
  padding: 0 0.8rem;
  position: relative;
  z-index: 1;
}

.page-template-form-page  .fancy-or-highlight {
  border-bottom: 0.1rem solid #eaecf0;
  height: 0.1rem;
  left: 0;
  margin-top: -0.1rem;
  pointer-events: none;
  position: absolute;
  top: 50%;
  width: 100%;
  z-index: 0;
}

/* Form fields */

.page-template-form-page .frm_forms fieldset {
  border: none;
  padding: 0;
}

.page-template-form-page .frm_forms .frm_form_fields {
  margin: 4.4rem 0 0;
}

.page-template-form-page .frm_forms .frm_form_field {
  margin: 0 0 1.6rem;
}

/* Form labels */

.page-template-form-page .frm_forms .frm_primary_label {
  font-size: 1.6rem;
}

.page-template-form-page .frm_forms .frm_required {
  display: none;
}

.page-template-form-page .frm_forms .frm_error {
  color: #cd2653;
}

/* Form inputs */
.page-template-form-page .frm_form_field input {
  background-color: #fff;
  border: 0.1rem solid #d0d5dd !important;
  border-radius: 0.8rem;
  box-shadow: 0 0.1rem 0.2rem 0 rgba(16, 24, 40, 0.05);
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 1.5;
  margin: 0;
  padding: 1rem 1.4rem;
}

.page-template-form-page .frm_form_field input[aria-invalid="true"] {
  border-color: #d63637 !important;
}

/* Form buttons */

.page-template-form-page .frm_submit {
  margin: 0 0 1.6rem;
}

.page-template-form-page .frm_submit .frm_button_submit {
  background-color: #31b4e6;
  border: 1px solid #31b4e6;
  border-radius: 0.8rem;
  box-shadow: 0 0.1rem 0.2rem 0 rgba(16, 24, 40, 0.05);
  color: #fff;
  font-size: 1.6rem;
  font-weight: 600;
  letter-spacing: normal;
  line-height: 1.5;
  padding: 1rem 1.8rem;
  text-decoration: none !important;
  text-transform: none;
  width: 100%;
}

.page-template-form-page .nsl-container .nsl-container-buttons {
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
  padding: 0;
  width: 100%;
}

.page-template-form-page .nsl-container .nsl-container-buttons a {
  margin: 0;
}

.page-template-form-page .nsl-container .nsl-button-facebook,
.page-template-form-page .nsl-container .nsl-button-google {
  background-color: #fff !important;
  border: 0.1rem solid #d0d5dd !important;
  border-radius: 0.8rem !important;
  box-shadow: 0 0.1rem 0.2rem 0 rgba(16, 24, 40, 0.05) !important;
  color: #344054 !important;
  font-family: inherit !important;
  font-weight: 600 !important;
  letter-spacing: normal !important;
}

.page-template-form-page .nsl-container .nsl-button-facebook b,
.page-template-form-page .nsl-container .nsl-button-google b {
  font-weight: 600;
}
